package com.eactive.eai.adapter.socket2.protocol.delimiter;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import com.eactive.eai.adapter.socket2.protocol.TcpAdapterClient;
import com.eactive.eai.adapter.socket2.protocol.delimiter.codec.DelimiterCodecFactory;
import org.apache.mina.filter.codec.ProtocolCodecFilter;


public class DelimiterClient extends TcpAdapterClient {
	public DelimiterClient(SocketAdapterContext context) throws Exception {
		super(context);		
		this.handler = new DelimiterHandler(this);
		config.getFilterChain().addFirst("codec", new ProtocolCodecFilter(new DelimiterCodecFactory(this)));
	}
}
